import java.awt.BorderLayout;
import java.awt.event.*;
import javax.swing.*;
/**
 * Lab #7 CS 2334, Section 0?? DATE GOES HERE
 * <P>
 * This class represents a view of athletes with their event records for the MVC lab.
 * </P>
 * 
 * @version 1.0
 */

public class EventTeamView extends JFrame implements ActionListener {
	/** Needs a serialVersionUID because the class is Serializable */
	private static final long serialVersionUID = 4784926954366574485L;

	//The model for this view.
	private Model model;
	
	//The GUI elements for this view.
	private JList jlEventRoster = new JList();
	private JScrollPane jspEventRoster = new JScrollPane(jlEventRoster);
	
	/** The default constructor*/
	EventTeamView() {
		setTitle("Event Roster");
		jlEventRoster.setSelectionBackground(jlEventRoster.getBackground());
		add(jspEventRoster, BorderLayout.CENTER);
	}
	
	public void setModel(Model model) {
		/** Set a model */
		this.model = model;
		if (this.model != null){
			// Register the view as listener for the model
			model.addActionListener(this);  // added
		}
	}
	
	/**
	 * ActionListener for the method.
	 * <P>
	 * @param      actionEvent     an event				
	 */
	public void actionPerformed(ActionEvent actionEvent) {
		if (actionEvent.getActionCommand().equals("Event Roster")) {
			jlEventRoster.setListData(model.getEventRoster().toArray());
			pack();
			setVisible(true);
		}
	}
}