import java.awt.BorderLayout;
import java.awt.event.*;

import javax.swing.*;

/**
 * Lab #7 CS 2334, Section 0?? DATE GOES HERE
 * <P>
 * This class represents a view of athletes (just their names) for the MVC lab.
 * </P>
 * 
 * @version 1.0
 */
public class NationalTeamView extends JFrame implements ActionListener {
	/** Needs a serialVersionUID because the class is Serializable */
	private static final long serialVersionUID = -3097803335858998792L;

	// The model for this view.
	private Model model;

	// setup GUI for this view.
	private JButton jbtSelectForEvent = new JButton(
			"Add selected athlete to event roster");
	private DefaultListModel listModel = new DefaultListModel();
	private JList jlTeamRoster = new JList(listModel);
	private JScrollPane scrollPane = new JScrollPane(jlTeamRoster);

	/** The default constructor */
	NationalTeamView() {
		setTitle("National Roster of Athletes");
		jlTeamRoster.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
		add(scrollPane);
		add(jbtSelectForEvent, BorderLayout.EAST);
		pack();
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setLocationRelativeTo(null);
		setVisible(true);
	}

	public void setModel(Model model) {
		/** Set a model */
		this.model = model;
		populateJList();
		if (this.model != null) {
			// Register the view as listener for the model
			model.addActionListener(this); // added
		}
	}

	/**
	 * This method pulls the names of the athletes from national roster and
	 * stores them in the JList for dislay.
	 */
	private void populateJList() {
		listModel.clear();
		if (model.getNationalRoster() != null)
			for (int i = 0; i < model.getNationalRoster().size(); i++) {
				listModel.addElement((model.getNationalRoster().get(i)
						.getName()));
			}
	}

	/**
	 * ActionListener for the method.
	 * <P>
	 * 
	 * @param actionEvent
	 *            an event
	 * 
	 */
	public void actionPerformed(ActionEvent actionEvent) {
		if (actionEvent.getActionCommand().equals("National Roster")) {
			populateJList();
		}
	}

	/**
	 * @return JList which contains the athletes
	 */
	public JList getJLTeamRoster() {
		return jlTeamRoster;
	}

	/**
	 * @return the JButton that can be pressed by the user
	 */
	public JButton getJBTSelectForEvent() {
		return jbtSelectForEvent;
	}
}