import java.util.ArrayList;

/**
 * Lab #7 CS 2334, Section 0?? DATE GOES HERE
 * <P>
 * This class represents an Olympic athlete. An Olympic athlete is a person who
 * participates in Olympic events.
 * </P>
 * 
 * @version 1.0
 */
public class OlympicAthlete extends Person {
	private ArrayList<EventRecord> competitionHistory = new ArrayList<EventRecord>();

	/**
	 * @param name
	 * @param event
	 * @param medal
	 */
	public OlympicAthlete(String name, String event, String medal) {
		super(name);
		competitionHistory.add(new EventRecord(event, medal));
	}

	/**
	 * @param name
	 * @param eventRecord
	 */
	public OlympicAthlete(String name, EventRecord eventRecord) {
		super(name);
		competitionHistory.add(eventRecord);
	}

	/**
	 * @param tokens
	 *            The athlete name followed by pairs of event and medal info in
	 *            String array.
	 */
	public OlympicAthlete(String[] tokens) {
		super(tokens[0].trim());
		for (int i = 1; i + 1 < tokens.length; i += 2)
			competitionHistory.add(new EventRecord(tokens[i].trim(),
					tokens[i + 1].trim()));
	}

	/**
	 * @return the comoetition history for an athlete
	 */
	public ArrayList<EventRecord> getHistory() {
		return competitionHistory;
	}

	/**
	 * @param eventRecord
	 *            the new event record to add to the competition history
	 */
	public void addToHistory(EventRecord eventRecord) {
		competitionHistory.add(eventRecord);
	}

	public String toString() {
		return super.toString() + " " + competitionHistory;
	}
}
